---
  - name: Copy file bash_profile with owner and permissions bash_profile
    copy:
      src: ./files/bash_profile
      dest: /home/jetty/.bash_profile
      owner: jetty
      group: dba
      mode: '0644'
  - name: Create a directory /opt/rola if it does not exist
    become: yes
    become_user: root
    file:          
      path: /opt/rola
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory /opt/tmp if it does not exist
    become: yes
    become_user: root
    file:          
      path: /opt/tmp
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory /opt/tmpadmin if it does not exist
    become: yes
    become_user: root
    file:          
      path: /opt/tmpadmin
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory "{{ LOG_DIR }}/appserver" if it does not exist
    become: yes
    become_user: root
    file:          
      path: "{{ LOG_DIR }}/appserver"
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory "{{ LOG_DIR }}/appserveradmin" if it does not exist
    become: yes
    become_user: root
    file:          
      path: "{{ LOG_DIR }}/appserveradmin"
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory "{{ LOG_DIR }}/bvservice" if it does not exist
    become: yes
    become_user: root
    file:          
      path: "{{ LOG_DIR }}/bvservice"
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory "{{ LOG_DIR }}/webservice" if it does not exist
    become: yes
    become_user: root
    file:          
      path: "{{ LOG_DIR }}/webservice"
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Create a directory "{{ ACCESS_LOG }}" if it does not exist
    become: yes
    become_user: root
    file:          
      path: "{{ ACCESS_LOG }}"
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
  - name: Copy file psc.sh with owner and permissions 
    copy:
      src: ./files/psc.sh
      dest: /home/jetty/psc.sh
      owner: jetty 
      group: dba
      mode: '0755'
  - name: Copy file startALL with owner and permissions 
    copy:
      src: ./files/startALL
      dest: /home/jetty/startALL
      owner: jetty 
      group: dba
      mode: '0755'
  - name: Copy file stopALL with owner and permissions 
    copy:
      src: ./files/stopALL
      dest: /home/jetty/stopALL
      owner: jetty 
      group: dba
      mode: '0755'

